%define utempter_compat_ver 0.5.2

Summary: A privileged helper for utmp/wtmp updates
Name: libutempter
Version: 1.2.1
Release: 3
License: LGPLv2+
URL: https://github.com/altlinux/libutempter

Source0: http://download.basealt.ru/pub/people/ldv/libutempter/%{name}-%{version}.tar.gz

Patch0: test-libutempter.patch

BuildRequires: gcc CUnit-devel
Requires(pre): shadow-utils

Provides: utempter = %{utempter_compat_ver}

%description
This library supports saving session records to
to utmp and wtmp files.

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package_help

%prep
%autosetup -p1

%build
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS" \
    libdir="%{_libdir}" libexecdir="%{_libexecdir}"

%check
make check

%install
%make_install libdir="%{_libdir}" libexecdir="%{_libexecdir}"
%delete_la_and_a

%pre
%{_sbindir}/groupadd -g 22 -r -f utmp || :
%{_sbindir}/groupadd -g 35 -r -f utempter || :

%ldconfig_scriptlets

%files
%doc COPYING README
%{_libdir}/libutempter.so.0
%{_libdir}/libutempter.so.1.*
%dir %attr(755,root,utempter) %{_libexecdir}/utempter
%attr(2711,root,utmp) %{_libexecdir}/utempter/utempter

%files devel
%{_includedir}/utempter.h
%{_libdir}/libutempter.so

%files help
%{_mandir}/man3/*

%changelog
* Thu Mar 10 2022 ziyangc2 <chenziyang4@huawei.com> -1.2.1-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add test unit for libutempter

* Fri Nov 6 2020 yixiangzhike <zhangxingliang3@huawei.com> - 1.2.1-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:modify the URL

* Thu Jul 23 2020 Hugel <gengqihu1@huawei.com> - 1.2.1-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to 1.2.1

* Thu Sep 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.6-16
- Package init
